commit 385bf5239dbd89559c437b8a7252ee88ba9b4a5f
Author: freddy77 <freddy77>
Date:   Fri Jan 11 12:46:52 2008 +0000

    backport fix for MacOSX

diff --git b/ChangeLog a/ChangeLog
index 5cd7d29..851bd0f 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,6 +1,3 @@
-Fri Jan 11 13:46:32 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* configure.ac src/apps/tsql.c: backport fix for MacOSX
-
 Fri Jan 11 13:43:08 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/blob1.c: backport fix for Sybase
 
@@ -44,4 +41,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2454.2.8 2008/01/11 12:46:52 freddy77 Exp $
+$Id: ChangeLog,v 1.2454.2.7 2008/01/11 12:44:39 freddy77 Exp $
diff --git b/configure.ac a/configure.ac
index d9bfaec..1b9cc43 100644
--- b/configure.ac
+++ a/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.29.2.3 2008/01/11 12:46:52 freddy77 Exp $
+dnl $Id: configure.ac,v 1.29.2.2 2008/01/11 06:48:38 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.82RC2)
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.29.2.3 $)
+AC_REVISION($Revision: 1.29.2.2 $)
 
 AM_INIT_AUTOMAKE
 AC_CONFIG_HEADERS(include/config.h)
@@ -178,24 +178,7 @@ if test $tds_mingw = no; then
 	AC_CHECK_LIB([readline], [readline], [LIBS="$LIBS -lreadline"
 	  AC_DEFINE(HAVE_READLINE, 1, [Define to 1 if you have the GNU Readline library.])], [LIBS=""] )
 	AC_CHECK_FUNCS([rl_on_new_line rl_reset_line_state])
-	AC_LINK_IFELSE([AC_LANG_SOURCE([[
 
-#include <stdio.h>
-#ifdef HAVE_STDLIB_H
-#include <stdlib.h>
-#endif
-
-#ifdef HAVE_READLINE
-#include <readline/readline.h>
-#include <readline/history.h>
-#endif /* HAVE_READLINE */
-
-int main()
-{
-	rl_inhibit_completion = 1;
-	return 0;
-}
-]])],AC_DEFINE(HAVE_RL_INHIBIT_COMPLETION, 1, [Define to 1 if you have rl_inhibit_completion.]))
 	READLINE_LIBS="$LIBS"
 	LIBS="$OLDLIBS"
 	AC_SUBST(READLINE_LIBS)
diff --git b/src/apps/tsql.c a/src/apps/tsql.c
index 2081212..6a04027 100644
--- b/src/apps/tsql.c
+++ a/src/apps/tsql.c
@@ -85,7 +85,7 @@
 #include "tdsconvert.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: tsql.c,v 1.112.2.1 2008/01/11 12:46:52 freddy77 Exp $");
+TDS_RCSID(var, "$Id: tsql.c,v 1.112 2007/12/23 21:12:02 jklowden Exp $");
 
 enum
 {
@@ -683,7 +683,7 @@ main(int argc, char **argv)
 	mybuf[0] = '\0';
 	buflen = 0;
 
-#if defined(HAVE_READLINE) && HAVE_RL_INHIBIT_COMPLETION
+#ifdef HAVE_READLINE
 	rl_inhibit_completion = 1;
 #endif
 

